//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("qfsmail1.cpp", FrmQfs);
USEFORM("qfsdm.cpp", DM1); /* TDataModule: File Type */
USEFORM("qfsmemo.cpp", FrmMemo);
USEFORM("qfsmeg.cpp", FrmMeg1);
USEFORM("qfsaddress.cpp", FrmAddress);
USEFORM("qfsinputad.cpp", FrmInputAd);
USEFORM("qfsfont.cpp", FrmFont);
USEFORM("qfspop.cpp", FrmPop);
USEFORM("qfsnew.cpp", FrmNew);
USEFORM("qfssmtp.cpp", FrmSmtp);
USEFORM("qfscoledit.cpp", FrmColEdit);
USEFORM("qfsfind.cpp", FrmFind);
USEFORM("qfsteikei.cpp", FrmTeikei);
USEFORM("qfsdb.cpp", FrmDb);
USEFORM("qfsinput.cpp", FrmInput);
USEFORM("qfspopup.cpp", FrmPopup);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->HelpFile = "qfsmail.hlp";
                 Application->CreateForm(__classid(TDM1), &DM1);
                 Application->CreateForm(__classid(TFrmQfs), &FrmQfs);
                 Application->CreateForm(__classid(TFrmMemo), &FrmMemo);
                 Application->CreateForm(__classid(TFrmMeg1), &FrmMeg1);
                 Application->CreateForm(__classid(TFrmAddress), &FrmAddress);
                 Application->CreateForm(__classid(TFrmInputAd), &FrmInputAd);
                 Application->CreateForm(__classid(TFrmFont), &FrmFont);
                 Application->CreateForm(__classid(TFrmPop), &FrmPop);
                 Application->CreateForm(__classid(TFrmNew), &FrmNew);
                 Application->CreateForm(__classid(TFrmSmtp), &FrmSmtp);
                 Application->CreateForm(__classid(TFrmColEdit), &FrmColEdit);
                 Application->CreateForm(__classid(TFrmFind), &FrmFind);
                 Application->CreateForm(__classid(TFrmTeikei), &FrmTeikei);
                 Application->CreateForm(__classid(TFrmDb), &FrmDb);
                 Application->CreateForm(__classid(TFrmInput), &FrmInput);
                 Application->CreateForm(__classid(TFrmPopup), &FrmPopup);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
